using C1.Win.Accordion;
using C1.Win.Command;

namespace C1Accordion_OutBar
{
    public partial class Form1 : Form
    {
        ListView tasksListView;
        C1ToolBar _toolbar;
        ImageList imgList;
        C1CommandHolder _commandHolder;
        string[] mailItems;

        public Form1()
        {
            InitializeComponent();

            imgList = new ImageList();
            imgList.Images.Add("folder", Resources.Folder);
            imgList.Images.Add("task", Resources.Journal_48);

            mailItems = new string[] { "AllItems", "Inbox", "Sent", "Drafts" };

            InitMailPageToolbar();
            InitTasksList();


            c1Accordion1.Styles.Pages.Margins = new C1.Framework.Thickness(1);
            var mailPage = c1Accordion1.Pages[0];
            var taskPage = c1Accordion1.Pages[1];
            mailPage.ContentHeight = taskPage.ContentHeight = 200;

            mailPage.Content.Controls.Add(_toolbar);
            taskPage.Content.Controls.Add(tasksListView);
        }

        //Create Task List and add items
        private void InitTasksList()
        {
            tasksListView = new ListView();
            tasksListView.Dock = DockStyle.Fill;
            tasksListView.View = View.List;
            tasksListView.SmallImageList = imgList;

            tasksListView.Items.Add("All tasks", "task");
            tasksListView.Items.Add("Completed", "task");
            tasksListView.Items.Add("Active", "task");
            tasksListView.Items.Add("Pending", "task");
        }

        //Crrate Toolbar and add items
        private void InitMailPageToolbar() {
            _toolbar = new C1ToolBar();
            _toolbar.Dock = DockStyle.Fill;
            _toolbar.Horizontal = false;
            _commandHolder = new C1CommandHolder();
            _commandHolder.ImageList = imgList;
            _toolbar.CommandHolder = _commandHolder;


            foreach (var item in mailItems) {
                C1CommandLink link = new C1CommandLink();
                link.ButtonLook = ButtonLookFlags.TextAndImage;
                C1Command cmd = new C1Command();
                cmd.Text = item;
                cmd.ImageIndex = 0;
                _commandHolder.Commands.Add(cmd);
                link.Command = cmd;
                _toolbar.CommandLinks.Add(link);
            }
            _commandHolder.CommandClick += _commandHolder_CommandClick;
        }

        //handle clicks from the toolbar commands
        private void _commandHolder_CommandClick(object sender, CommandClickEventArgs e)
        {
            //toggle pressed state
            foreach (C1Command cmd in _commandHolder.Commands)
            {
                var current = cmd == e.Command;
                cmd.Pressed = current ;
                if (cmd == e.Command) {
                    cmd.Visible = true;
                }
            }

            //perform operation below
        }
    }
}