using C1.Win.Accordion;

namespace  C1Accordion_TopicBar
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitAccordion();
        }

        private void InitAccordion()
        {
            c1Accordion1.AllowExpandMany = true;
            c1Accordion1.AllowCollapseAll = true;

            foreach (var page in c1Accordion1.Pages)
                InitPage(page);
            c1Accordion1.ExpandAll();
        }

        private void InitPage(C1.Win.Accordion.C1AccordionPage page)
        {
            page.Content.Padding = new Padding(5);
            for (int i = 3; i >= 0; i--)
            {
                var link = CreateLink($"Link {i}");
                link.Tag = page;
                page.Content.Controls.Add(link);
            }
            page.ContentHeight = page.Content.Controls[0].Bounds.Bottom + 1;
        }

        //Create LinkLabels for the AccordionPage
        private LinkLabel CreateLink(string text)
        {
            LinkLabel label = new LinkLabel();
            label.Text = text;
            label.Dock = DockStyle.Top;
            label.TextAlign = ContentAlignment.MiddleLeft;
            label.BackColor = c1Accordion1.Styles.Pages.Default.BackColor;
            label.LinkBehavior = LinkBehavior.HoverUnderline;
            label.ForeColor = label.LinkColor = c1Accordion1.Styles.Pages.Default.ForeColor;
            //label.Image = Resources.icon;
            label.ImageAlign = ContentAlignment.MiddleLeft;
            label.LinkClicked += Label_LinkClicked;
            var padding = new Padding(0);
            padding.Left = 10;

            label.Padding = padding;
            return label;
        }

        //Handle Click on the LinkLabels
        private void Label_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            var linkLabel = sender as LinkLabel;
            var page = linkLabel?.Tag as C1AccordionPage;
            MessageBox.Show($"{page?.HeaderText} {linkLabel?.Text}");
        }
    }
}